# cpanel - php_confs/2.0-concurrent-2xD.conf      Copyright(c) 2011 cPanel, Inc.
#                                                           All rights Reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited

# This conf file is solely for testing the concurrent setup
# Please don't use this in production until it's been reviewed by
# the cPanel QA department.  Gentoo lists the concurrent PHP patches
# as experimental

# notes in case 1860.  Apache 2.0 has the strange behavior
# of letting the last loaded module handle directives and letting
# the first loaded module handle requests.  The ordering here
# focuses on getting poorly written directives to the default handler
LoadModule concurrent_php_module libexec/concurrent_php.so
LoadModule php4_module modules/libphp4.so
LoadModule php5_module modules/libphp5.so

# move the extensions around to change the default handler
AddType application/x-httpd-php5 .php .php5 .php3 .php2 .phtml
AddType application/x-httpd-php4 .php4

